www/ap2-jk - The NetBSD Packages Collection

Apache connector for accessing Jakarta Tomcat

Tomcat is the Java Servlet / Java Server Page environment produced
by the Apache Foundation's Jakarta Project.  Tomcat can be run as a
standalone web server with Servlet and JSP support, or using Apache
Server as its web server via the mod_jk Apache module (the
www/ap-jk package).

mod_jk is a replacement to the elderly mod_jserv. It is a completely
new Tomcat-Apache plugin that handles the communication between
Tomcat and Apache

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake lang/perl5

Runtime dependencies

www/apache24 www/apache24

Available binary packages

aarch64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
aarch64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
aarch64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
alpha:ap24-jk-1.2.43.tgz(NetBSD 9.0)
alpha:ap24-jk-1.2.43.tgz(NetBSD 9.0)
earmv6hf:ap24-jk-1.2.43.tgz(NetBSD 9.0)
earmv6hf:ap24-jk-1.2.43.tgz(NetBSD 9.0)
earmv6hf:ap24-jk-1.2.43.tgz(NetBSD 9.0)
earmv6hf:ap24-jk-1.2.43.tgz(NetBSD 9.0)
earmv7hf:ap24-jk-1.2.43.tgz(NetBSD 8.0)
earmv7hf:ap24-jk-1.2.43.tgz(NetBSD 8.0)
earmv7hf:ap24-jk-1.2.43.tgz(NetBSD 8.0)
earmv7hf:ap24-jk-1.2.43.tgz(NetBSD 8.0)
earmv7hf:ap24-jk-1.2.43.tgz(NetBSD 9.0)
earmv7hf:ap24-jk-1.2.43.tgz(NetBSD 9.0)
earmv7hf:ap24-jk-1.2.43.tgz(NetBSD 9.0)
earmv7hf:ap24-jk-1.2.43.tgz(NetBSD 9.0)
earmv7hf:ap24-jk-1.2.43.tgz(NetBSD 9.0)
i386:ap24-jk-1.2.43.tgz(NetBSD 8.0)
i386:ap24-jk-1.2.43.tgz(NetBSD 8.0)
i386:ap24-jk-1.2.43.tgz(NetBSD 8.0)
i386:ap24-jk-1.2.43.tgz(NetBSD 9.0)
i386:ap24-jk-1.2.43.tgz(NetBSD 9.0)
i386:ap24-jk-1.2.43.tgz(NetBSD 9.0)
mips64eb:ap24-jk-1.2.43.tgz(NetBSD 9.0)
powerpc:ap24-jk-1.2.43.tgz(NetBSD 8.0)
powerpc:ap24-jk-1.2.43.tgz(NetBSD 8.0)
powerpc:ap24-jk-1.2.43.tgz(NetBSD 8.0)
powerpc:ap24-jk-1.2.43.tgz(NetBSD 9.0)
powerpc:ap24-jk-1.2.43.tgz(NetBSD 9.0)
sparc64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
sparc64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
sparc:ap24-jk-1.2.43.tgz(NetBSD 9.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 8.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 8.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 8.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 9.0)
x86_64:ap24-jk-1.2.43.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]